Commandline options for running scripts
Functionality by programming task » Programming models » Script commandline driver

## Classes

class | Gecode::BaseOptions
| Base class for script options. More...
class | Gecode::Options
| Options for scripts More...
class | Gecode::SizeOptions
| Options for scripts with additional size parameter More...
class | Gecode::InstanceOptions
| Options for scripts with additional instance parameter More...

## Enumerations

enum | Gecode::ScriptMode { Gecode::SM_SOLUTION , Gecode::SM_TIME , Gecode::SM_STAT , Gecode::SM_GIST , Gecode::SM_CPPROFILER }
| Different modes for executing scripts. More...
enum | Gecode::RestartMode { Gecode::RM_NONE , Gecode::RM_CONSTANT , Gecode::RM_LINEAR , Gecode::RM_LUBY , Gecode::RM_GEOMETRIC }
| Different modes for restart-based search. More...

## Detailed Description

## Enumeration Type Documentation

## ScriptMode

enum Gecode::ScriptMode

Different modes for executing scripts.

Enumerator
SM_SOLUTION | Print solution and some statistics.
SM_TIME | Measure average runtime.
SM_STAT | Print statistics for script.
SM_GIST | Run script in Gist.
SM_CPPROFILER | Run script with CP-profiler.

Definition at line 94 of file driver.hh.

## RestartMode

enum Gecode::RestartMode

Different modes for restart-based search.

Enumerator
RM_NONE | No restarts.
RM_CONSTANT | Restart with constant sequence.
RM_LINEAR | Restart with linear sequence.
RM_LUBY | Restart with Luby sequence.
RM_GEOMETRIC | Restart with geometric sequence.

Definition at line 106 of file driver.hh.